/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.InfoApi();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('InfoApi', function() {
    describe('balanceApiV1BalanceGet', function() {
      it('should call balanceApiV1BalanceGet successfully', function(done) {
        //uncomment below and update the code to test balanceApiV1BalanceGet
        //instance.balanceApiV1BalanceGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('blacklistApiV1BlacklistGet', function() {
      it('should call blacklistApiV1BlacklistGet successfully', function(done) {
        //uncomment below and update the code to test blacklistApiV1BlacklistGet
        //instance.blacklistApiV1BlacklistGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('blacklistPostApiV1BlacklistPost', function() {
      it('should call blacklistPostApiV1BlacklistPost successfully', function(done) {
        //uncomment below and update the code to test blacklistPostApiV1BlacklistPost
        //instance.blacklistPostApiV1BlacklistPost(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('countApiV1CountGet', function() {
      it('should call countApiV1CountGet successfully', function(done) {
        //uncomment below and update the code to test countApiV1CountGet
        //instance.countApiV1CountGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('dailyApiV1DailyGet', function() {
      it('should call dailyApiV1DailyGet successfully', function(done) {
        //uncomment below and update the code to test dailyApiV1DailyGet
        //instance.dailyApiV1DailyGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('deleteLockApiV1LocksLockidDelete', function() {
      it('should call deleteLockApiV1LocksLockidDelete successfully', function(done) {
        //uncomment below and update the code to test deleteLockApiV1LocksLockidDelete
        //instance.deleteLockApiV1LocksLockidDelete(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('deleteLockPairApiV1LocksDeletePost', function() {
      it('should call deleteLockPairApiV1LocksDeletePost successfully', function(done) {
        //uncomment below and update the code to test deleteLockPairApiV1LocksDeletePost
        //instance.deleteLockPairApiV1LocksDeletePost(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('edgeApiV1EdgeGet', function() {
      it('should call edgeApiV1EdgeGet successfully', function(done) {
        //uncomment below and update the code to test edgeApiV1EdgeGet
        //instance.edgeApiV1EdgeGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('locksApiV1LocksGet', function() {
      it('should call locksApiV1LocksGet successfully', function(done) {
        //uncomment below and update the code to test locksApiV1LocksGet
        //instance.locksApiV1LocksGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('logsApiV1LogsGet', function() {
      it('should call logsApiV1LogsGet successfully', function(done) {
        //uncomment below and update the code to test logsApiV1LogsGet
        //instance.logsApiV1LogsGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('performanceApiV1PerformanceGet', function() {
      it('should call performanceApiV1PerformanceGet successfully', function(done) {
        //uncomment below and update the code to test performanceApiV1PerformanceGet
        //instance.performanceApiV1PerformanceGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('profitApiV1ProfitGet', function() {
      it('should call profitApiV1ProfitGet successfully', function(done) {
        //uncomment below and update the code to test profitApiV1ProfitGet
        //instance.profitApiV1ProfitGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('showConfigApiV1ShowConfigGet', function() {
      it('should call showConfigApiV1ShowConfigGet successfully', function(done) {
        //uncomment below and update the code to test showConfigApiV1ShowConfigGet
        //instance.showConfigApiV1ShowConfigGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('statsApiV1StatsGet', function() {
      it('should call statsApiV1StatsGet successfully', function(done) {
        //uncomment below and update the code to test statsApiV1StatsGet
        //instance.statsApiV1StatsGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('statusApiV1StatusGet', function() {
      it('should call statusApiV1StatusGet successfully', function(done) {
        //uncomment below and update the code to test statusApiV1StatusGet
        //instance.statusApiV1StatusGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('tradeApiV1TradeTradeidGet', function() {
      it('should call tradeApiV1TradeTradeidGet successfully', function(done) {
        //uncomment below and update the code to test tradeApiV1TradeTradeidGet
        //instance.tradeApiV1TradeTradeidGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('tradesApiV1TradesGet', function() {
      it('should call tradesApiV1TradesGet successfully', function(done) {
        //uncomment below and update the code to test tradesApiV1TradesGet
        //instance.tradesApiV1TradesGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('tradesDeleteApiV1TradesTradeidDelete', function() {
      it('should call tradesDeleteApiV1TradesTradeidDelete successfully', function(done) {
        //uncomment below and update the code to test tradesDeleteApiV1TradesTradeidDelete
        //instance.tradesDeleteApiV1TradesTradeidDelete(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('versionApiV1VersionGet', function() {
      it('should call versionApiV1VersionGet successfully', function(done) {
        //uncomment below and update the code to test versionApiV1VersionGet
        //instance.versionApiV1VersionGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('whitelistApiV1WhitelistGet', function() {
      it('should call whitelistApiV1WhitelistGet successfully', function(done) {
        //uncomment below and update the code to test whitelistApiV1WhitelistGet
        //instance.whitelistApiV1WhitelistGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
  });

}));
